> ## Documentation Index
> Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Show Call History

> Displays the specified call history. The call history must belong to the authenticated user's current workspace.



## OpenAPI

````yaml GET /api/v1/call-histories/{id}
openapi: 3.0.3
info:
  title: Colloqui API Documentation
  description: API documentation for Colloqui application
  version: 1.0.0
servers:
  - url: https://colloqui-web-develop-btoadh.laravel.cloud
security:
  - default: []
tags:
  - name: Authentication
    description: |-

      APIs for retrieving a token and invalidating the current token.
  - name: API Keys
    description: |-

      APIs for managing API keys.
  - name: Agent
    description: |-

      APIs for agents
  - name: Agent Versions
    description: |-

      APIs for retrieving version history of an agent.
  - name: Call History
    description: |-

      APIs for managing call histories.
  - name: Knowledge Base
    description: |-

      APIs for knowledge base management.
  - name: Number
    description: |-

      APIs for managing numbers.
  - name: Subscription
    description: |-

      APIs to subscribe an agent to a subscription.
  - name: User
    description: |-

      APIs for managing users.
  - name: Webhook
    description: |-

      APIs for managing webhooks.
  - name: Workspace
    description: |-

      APIs for managing workspaces.
  - name: Workspace User
    description: |-

      APIs for managing users within workspaces.
paths:
  /api/v1/call-histories/{id}:
    parameters:
      - in: path
        name: id
        description: The ID of the call history.
        example: 01kntw653arcy8vqkvcm0f2y9m
        required: true
        schema:
          type: string
    get:
      tags:
        - Call History
      summary: Show Call History
      description: >-
        Displays the specified call history. The call history must belong to the
        authenticated user's current workspace.
      operationId: showCallHistory
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 01kqh44fefb974f9qzhatg080y
                    start_time: '2026-04-05T20:52:15.000000Z'
                    end_time: '2026-04-16T07:36:00.000000Z'
                    duration: '10:43:45'
                    channel_type: sms
                    cost: 6.6203
                    session_id: null
                    end_reason: hangup
                    session_status: abandoned
                    from: '+19307865066'
                    to: '+19152306227'
                    direction: inbound
                    session_outcome: unresolved
                    e2e_latency: 4033
                    agent_id: 01kqh44fdndrcb50y7b9x2tjgj
                    workspace_id: 01kqh44fe2aqzax8st7teamx2m
                    created_at: '2026-05-01T06:38:05.000000Z'
                    updated_at: '2026-05-01T06:38:05.000000Z'
                    analysis: null
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: 01kqh44fefb974f9qzhatg080y
                      start_time:
                        type: string
                        example: '2026-04-05T20:52:15.000000Z'
                      end_time:
                        type: string
                        example: '2026-04-16T07:36:00.000000Z'
                      duration:
                        type: string
                        example: '10:43:45'
                      channel_type:
                        type: string
                        example: sms
                      cost:
                        type: number
                        example: 6.6203
                      session_id:
                        type: string
                        example: null
                        nullable: true
                      end_reason:
                        type: string
                        example: hangup
                      session_status:
                        type: string
                        example: abandoned
                      from:
                        type: string
                        example: '+19307865066'
                      to:
                        type: string
                        example: '+19152306227'
                      direction:
                        type: string
                        example: inbound
                      session_outcome:
                        type: string
                        example: unresolved
                      e2e_latency:
                        type: integer
                        example: 4033
                      agent_id:
                        type: string
                        example: 01kqh44fdndrcb50y7b9x2tjgj
                      workspace_id:
                        type: string
                        example: 01kqh44fe2aqzax8st7teamx2m
                      created_at:
                        type: string
                        example: '2026-05-01T06:38:05.000000Z'
                      updated_at:
                        type: string
                        example: '2026-05-01T06:38:05.000000Z'
                      analysis:
                        type: string
                        example: null
                        nullable: true
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Bearer token authentication

````